polybori::AddEliminationDegree< SizeType > Class Template Reference
Inheritance diagram for polybori::AddEliminationDegree< SizeType >:

## Public Types

typedef SizeType | size_type
typedef std::binary_function< size_type, size_type, size_type > | base

## Public Member Functions

| AddEliminationDegree (size_type min)
size_type & | operator() (size_type &rhs, size_type lhs)

## Member Typedef Documentation

template<class SizeType >

typedef std::binary_function<size_type, size_type, size_type> polybori::AddEliminationDegree< SizeType >::base

template<class SizeType >

typedef SizeType polybori::AddEliminationDegree< SizeType >::size_type

## Constructor & Destructor Documentation

template<class SizeType >

polybori::AddEliminationDegree< SizeType >::AddEliminationDegree | ( | size_type | min | ) |

inline

## Member Function Documentation

template<class SizeType >

size_type& polybori::AddEliminationDegree< SizeType >::operator() | ( | size_type & | rhs,
|  | size_type | lhs
| ) |  |

inline

The documentation for this class was generated from the following file:

- BoolePolynomial.cc